Bug 1149069 - KMail Doesn't Display Messages
KMail Doesn't Display Messages
Status: NEW
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: KDE Applications
Current
x86-64 Other
: P5 - None : Major (vote)
: ---
Assigned To: E-Mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-01 15:36 UTC by Marek Paśnikowski
Modified: 2020-12-14 10:33 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
lbeltrame: needinfo? (mail)


Attachments
An Example of a Blank Message Window (37.75 KB, image/png)
2019-09-01 15:39 UTC, Marek Paśnikowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Paśnikowski 2019-09-01 15:36:07 UTC
During the last couple of days I have been setting a Tumbleweed installation with the transactional updates. At the beginning, when I had set up KMail for the first time, I was able to read my emails. However, since yesterday the message windows present me blanks. I am able to read the raw contents, so problem is strictly related to the display pipeline.
The only event I can remotely connect to the change for the worse is a recent update of 3 packages. I never bothered to check what got updated. Between that and discovery of the bug I had performed multiple changes to the system and used transactional-update cleanup to see how it looks.
My other computer is currently in repair, and on Leap anyway, so I am not able to confirm the issue.
Comment 1 Marek Paśnikowski 2019-09-01 15:39:36 UTC
Created attachment 816515 [details]
An Example of a Blank Message Window
Comment 2 Luca Beltrame 2019-09-01 16:32:12 UTC
Are those very large messages (>2Mb in size)?
Comment 3 Marek Paśnikowski 2019-09-01 17:05:31 UTC
No. For reference, the notifications I got from bugzilla about this very bug are also blank.
Comment 4 Luca Beltrame 2019-09-01 17:09:27 UTC
PLease make sure you are fully up to date with your system (zypper dup). Blank mails may indicate that the web view is unable to load, which could be if there are incompatible versions installed.

If you are up to date, please also post the versions of the "mailcommon", "kmail" and "libkdepim" packages (you can look them up in YaST or use zypper).
Comment 5 Marek Paśnikowski 2019-09-01 17:54:36 UTC
zypper se -sx on all three packages returns 19.08.0-1.1

I could post some logs, if you tell me which ones are worth attention.
Comment 6 Luca Beltrame 2019-09-01 18:10:34 UTC
Did you try to do "zypper dup"? As for logs, the journalctl output when you start kmail and when you try to open a mail would help.
Comment 7 Marek Paśnikowski 2019-09-01 18:30:05 UTC
Of course, I rather did "transactional-update dup".

In order to collect the logs; I issued the journalctl command; opened kmail in another terminal; opened a message; closed the message; closed KMail.

This command was issued second, but for readability I decided to post it first.

> kmail
org.kde.pim.kmail_expertplugin: toggle_mimeparttree is not defined 
No text-to-speech plug-ins were found.

The first command; this is complete output, until the program was closed.

> sudo journalctl -f
[sudo] hasło użytkownika root: 
-- Logs begin at Sat 2019-08-31 15:00:02 CEST. --
wrz 01 20:22:08 janusz-yoga kwin_x11[7982]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 29478, resource id: 35655094, major code: 18 (ChangeProperty), minor code: 0
wrz 01 20:22:08 janusz-yoga kwin_x11[7982]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 29535, resource id: 35655070, major code: 15 (QueryTree), minor code: 0
wrz 01 20:22:08 janusz-yoga kwin_x11[7982]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 29540, resource id: 35655070, major code: 18 (ChangeProperty), minor code: 0
wrz 01 20:22:12 janusz-yoga kwin_x11[7982]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 30858, resource id: 88080410, major code: 18 (ChangeProperty), minor code: 0
wrz 01 20:22:12 janusz-yoga kwin_x11[7982]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 30877, resource id: 12582922, major code: 18 (ChangeProperty), minor code: 0
wrz 01 20:22:13 janusz-yoga kwin_x11[7982]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 31775, resource id: 27271442, major code: 20 (GetProperty), minor code: 0
wrz 01 20:22:29 janusz-yoga sudo[9373]: pam_unix(sudo:auth): conversation failed
wrz 01 20:22:29 janusz-yoga sudo[9373]: pam_unix(sudo:auth): auth could not identify password for [root]
wrz 01 20:22:33 janusz-yoga sudo[9375]:    marek : TTY=pts/0 ; PWD=/home/marek ; USER=root ; COMMAND=/usr/bin/journalctl -f
wrz 01 20:22:33 janusz-yoga sudo[9375]: pam_unix(sudo:session): session opened for user root by marek(uid=0)
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e020dea0) )
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "" disconnected
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e020dea0) )
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e00f1ca0) )
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e003ca20) )
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e00ab4a0) )
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e020dea0) identified as "KMail Kernel ETM - 94591924390768"
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e00f1ca0) identified as "SpecialCollectionsMonitor - 94591924533792"
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e003ca20) identified as "MessageListTagMonitor - 94591925312320"
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e00ab4a0) identified as "TagActionManagerMonitor - 94591926917472"
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e0107d70) )
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e0107d70) identified as "FilterManagerTagMonitor - 94591923936896"
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e020d040) )
wrz 01 20:22:47 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e020d040) identified as "MessageListTagCacheMonitor - 140067406377344"
wrz 01 20:22:49 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e00b75f0) )
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "" disconnected
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e00b75f0) )
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: New notification connection (registered as Akonadi::Server::NotificationSubscriber(0x7f88e01e3b80) )
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e00b75f0) identified as "MessageViewerMonitor - 94591927128800"
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e00b75f0) identified as "MessageViewerMonitor - 94591927128800"
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber Akonadi::Server::NotificationSubscriber(0x7f88e01e3b80) identified as "TagActionManagerMonitor - 94592208198336"
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver.search: Executing search "kmail2-48271-SearchSession"
wrz 01 20:22:50 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver.search: Search  "kmail2-48271-SearchSession" done (without remote search)
wrz 01 20:22:53 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "MessageViewerMonitor - 94591927128800" disconnected
wrz 01 20:22:53 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "TagActionManagerMonitor - 94592208198336" disconnected
wrz 01 20:22:54 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "MessageListTagMonitor - 94591925312320" disconnected
wrz 01 20:22:54 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "TagActionManagerMonitor - 94591926917472" disconnected
wrz 01 20:22:54 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "KMail Kernel ETM - 94591924390768" disconnected
wrz 01 20:22:54 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "SpecialCollectionsMonitor - 94591924533792" disconnected
wrz 01 20:22:54 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "MessageListTagCacheMonitor - 140067406377344" disconnected
wrz 01 20:22:54 janusz-yoga akonadiserver[8068]: org.kde.pim.akonadiserver: Subscriber "FilterManagerTagMonitor - 94591923936896" disconnected
wrz 01 20:22:54 janusz-yoga kwin_x11[7982]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 39784, resource id: 88080731, major code: 18 (ChangeProperty), minor code: 0
Comment 8 Marek Paśnikowski 2019-09-01 18:35:25 UTC
I just realised that display scaling of 1.5 is also a considerable variable.
Comment 9 Marek Paśnikowski 2019-09-03 08:02:28 UTC
I found the culprit - the adblock plugin.

I now remember that whenever I found the KDE adblock function, I enabled all the filter sources. So it is either a rogue rule at work, or a plain bug in the plugin.

I don't have the time to bisect the filter sources, so I just disabled the plugin altogether.
Comment 10 Rigo Wenning 2020-12-14 10:33:00 UTC
This bog seems resolved and should be closed IMHO